Commit f7ebd177 authored by Sam Thursfield's avatar Sam Thursfield

Update stage2-glibc to 2.25

This fixes a build issue with GCC 7.1:

	In file included from ../sysdeps/x86_64/fpu/multiarch/e_pow.c:17:0:
	../sysdeps/ieee754/dbl-64/e_pow.c: In function 'checkint':
	../sysdeps/ieee754/dbl-64/e_pow.c:469:13: error: '<<' in boolean context, did you mean '<' ? [-Werror=int-in-bool-context]
	       if (n << (k - 20))
		   ~~^~~~~~~~~~~
	../sysdeps/ieee754/dbl-64/e_pow.c:471:17: error: '<<' in boolean context, did you mean '<' ? [-Werror=int-in-bool-context]
	       return (n << (k - 21)) ? -1 : 1;
		      ~~~^~~~~~~~~~~~
	../sysdeps/ieee754/dbl-64/e_pow.c:477:9: error: '<<' in boolean context, did you mean '<' ? [-Werror=int-in-bool-context]
	   if (m << (k + 12))
	       ~~^~~~~~~~~~~
	../sysdeps/ieee754/dbl-64/e_pow.c:479:13: error: '<<' in boolean context, did you mean '<' ? [-Werror=int-in-bool-context]
	   return (m << (k + 11)) ? -1 : 1;
		  ~~~^~~~~~~~~~~~
parent e214eed4
Pipeline #9348087 failed with stages
in 32 minutes and 37 seconds
......@@ -80,8 +80,8 @@ chunks:
- name: stage2-glibc
morph: strata/build-essential/stage2-glibc.morph
repo: upstream:glibc
ref: fdfc9260b61d3d72541f18104d24c7bcb0ce5ca2
unpetrify-ref: glibc-2.24
ref: db0242e3023436757bbc7c488a779e6e3343db04
unpetrify-ref: glibc-2.25
build-depends:
- stage1-binutils
- stage1-gcc
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment